import './index.scss';
import '../../sdk/adunion.min';
import clientParams from '../../model/exampleClient';
import vic from '../../model/exampleVic';
(() => {
  adunion.init(clientParams);

  let adspacePause = {
    width: 578,
    height: 56,
    maxAdCount: 1,
    maxDuration: 15,
    minCpm: 5,
  };

  const eventCallBack = (status) => {
    if (status === 'end') {
    }
  };

  window.onload = () => {
    const banner = document.getElementsByClassName('banner')[0];
    console.log(banner);
    adunion.fetchBannerAd(adspacePause, vic).then((frontAd) => {
      frontAd.render(banner, eventCallBack);
    });
  };
})();
